function [Distance] = FitnessBased(Fitness)
%
% FitnessBased computes a distance metric using the true fitness of the
% best and median individuals (Equation 3.14 in A User's Guide to PIKAIA)
%
% [Distance] = FitnessBased(Fitness)
%
% INPUTS:
% Fitness - vector of sum of squares of residuals (SSE)
%
% OUTPUTS:
% Distance - scalar distance measure

[Fitness] = sort(Fitness,'ascend');%here Fitness = SSE i.e. 
                                   %lower the SSE fitter the individual
Distance = (Fitness(round(length(Fitness)/2))-Fitness(1))/...
    (Fitness(round(length(Fitness)/2))+Fitness(1));