function [ScaledFitness] = RankFitness(Fitness)
% RankFit returns normalized fitness ranks
% [ScaledFitness] = RankFit(Fitness)


[Fitness,Indices] = sort(Fitness,'ascend');%here Fitness = SSE i.e. 
                                               %lower the SSE fitter the
                                               %individual
FitnessRank(Indices)=length(Fitness):-1:1; % Assign rank 1 to the lowest SSE 
                                           % and higher ranks to the rest
ScaledFitness = (length(Fitness)-FitnessRank+1)/length(Fitness);

